Bug 29165 - Mounting smb exports with mount -t smbfs fails
Summary: Mounting smb exports with mount -t smbfs fails
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-24 05:25 UTC by Jose Mercado
Modified: 2007-04-18 16:31 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-26 23:56:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jose Mercado 2001-02-24 05:25:56 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.2smp i686; Nav)


When I mount an smb export using mount -t .smbfs //sambaserver/share
/mnt/share everything seems to work fine, ie, no complaints, df reports it
as being mounted.  Trying  to cd into /mnt/share produces cd: /mnt/share no
such file or directory.

Reproducible: Always
Steps to Reproduce:
1. mount -t smbfs //somesambaserver/share /mnt/somepreexisting/dir
2. cd /mnt/somepreexisting/dir

	

Actual Results:  cd: /mnt/somepreexisting/dir: No such file or directory

Expected Results:  #cd /mnt/somepreexisting/dir
#ls
file1
file2
file3
.....

I am using kernel-2.4.1-0.1.9smp-i686.
The problem goes away if I build my own kernel (either 2.4.1 or 2.4.2) from
non-rh source.

Comment 1 Glen Foster 2001-02-26 23:56:38 UTC
We (Red Hat) should really try to resolve this before next release.

Comment 2 Phil Knirsch 2001-02-27 12:24:03 UTC
I have just verified it with our current rawhide kernel and was able to mount a
smb exported filesystem using

mount -t smbfs -o username=foo,password=bar //server/foo /mnt/test

therefore i close the bug as RESOLVED in Rawhide.

Read ya, Phil

Comment 3 William Turner 2001-04-13 19:01:49 UTC
I just tried (unsuccessfully) mounting a smb export with Wolverine.  The 
problem still exists.  



Note You need to log in before you can comment on or make changes to this bug.